    
          FragmentationSystems
          ==================== 

This set of classes is related to the administration of fragmentation
process, and is used by the HadronLevel class to hand on information
either to StringFragmentation or to MiniStringFragmentation.
This is information on how a partonic event is made up out of a
set of separate colour singlets, and how the evolution of each such 
system may involve a set of different string regions. It is used for
internal administrative purposes, and not described further here.

There are only a few free parameters in this part of the program.

<parameter> FragmentationSystems:mJoin = 0.1 min = 0. max = 1.
When two colour-connected partons are very nearby, with at least 
one being a gluon, they can be joined into one, to avoid technical 
problems of very small string regions. The requirenent for joining is 
that the invariant mass of the pair is below mJoin, where a gluon only 
counts with half its momentum, i.e. with its contribution to the string
region under consideration.

<parameter> FragmentationSystems:mJoinJunction = 1.0 min = 0.5 max = 2.
When the invariant mass of two of the quarks in a three-quark junction 
string system becomes too small, the system is simplified to a 
quark-diquark simple string. The requirement for this simplification 
is that the diquark mass, minus the two quark masses, falls below 
mJoinJunction. Gluons on the string between the junction and the 
respective quark, if any, are counted as part of the quark 
four-momentum. Those on the two combined legs are clustered with the 
diquark when it is formed.

In addition to the mJoinJunction check, systems with low invariant 
mass, that will be processed by the MiniStringFragmentation routines,
are also always simplified to contain a diquark. This is determined 
by HadronLevel:mStringMin.
   
---------------------------------------------------------------------- 

References
   
[1] T. Sjostrand, Nucl. Phys. B248 (1984) 469

---------------------------------------------------------------------- 

Copyright C 2006 Torbjorn Sjostrand
