
      HadronLevel
      ===========

The HadronLevel class administrates the final step of the event
generation, wherein the partonic configuration from PartonLevel
is hadronized, including string fragmentation and secondary decays.

Most of the code in this class deals with subdividing the partonic
content of the event into separate colour singlets, that can be
treated individually by the string fragmentation machinery. When a
junction and an antijunction are directly connected, it also breaks 
the string between the two, so that the topology can be reduced back 
to two separate one-junction systems, while still preserving the
expected particle flow in the junction-junction string region(s).

---------------------------------------------------------------------- 

   Main variables
   --------------

The main degrees of freedom are which other classes should be called. 
That is, some parts of the event generation may be switched off, 
in particular: 

<flag> HadronLevel:Hadronize = on
Master switch for hadronization; on/off = true/false.
Further options are found in the StringFragmentation.man file.

<flag> HadronLevel:Decay = on
Master switch for decays; on/off = true/false.
Further options are found in the ParticleDecays.man file.

<parameter> HadronLevel:mStringMin = 1. min = 0.5 max = 1.5
Decides whether a partonic system should be considered as a normal
string or a ministring, the latter only producing one or two primary
hadrons. The system mass should be above mStringMin plus the sum of
quark/diquark constituent masses for a normal string description,
else the ministring scenario is used.

---------------------------------------------------------------------- 

Copyright C 2006 Torbjorn Sjostrand
