
      Main
      ====

The main program is up to the user to write. However, sample main
programs are provided. In one such class of programs, one may 
wish to read in key parameters of the run from a "cards file". 
In this file some such parameters are defined, and made available
inside the Settings machinery. They can thus be put among the other
cards, and then read back in by the main program. 

---------------------------------------------------------------------- 

   Sample main programs
   --------------------

main01.cc : a fairly extensive study of event properties,
    with hard processes generated by Pythia6, and making use 
    of a main01.cmnd "cards file" illustrating many of the 
    parameters listed below.

main02.cc : a study of top events, fed in via the Les Houches Accord 
    interface from the files ttsample.init and ttsample.evnt. 
    These currently only contain 100 events, so this program is 
    mainly a demonstration of principles. 
    The Fortran program main02.f has been used to generate the 
    input files. This program can be modified and linked to 
    Pythia6.o to generate other files, always in pairs. 

main03.cc : an example how the Les Houches Accord interface
    can be used to input various toy parton-level configurations,
    e.g. to study the hadronization of junction topologies.

main04.cc : shows how an external decay handler can be linked
   to handle the decays of some particles.

main05.cc : shows how an external random number generator can be 
   linked to handle this task.

main06.cc : a semirealistic example how the pT spectrum of Z bosons
    at the Tevatron can be studied. (Brief example given in talks.)

main07.cc : a simple (cf. main01) study of event properties,
    with hard processes generated by Pythia6, and making use 
    of a main07.cmnd "cards file" illustrating many of the 
    parameters listed below. (Brief example given in talks.)

main08.cc : a simple (cf. main02) study of top events, fed in via 
    the Les Houches Accord interface from the files ttsample.init 
    and ttsample.evnt. These again were generated with main02.f.
    (Brief example given in talks.)

main09.cc : generation of LEP1 hadronic events, i.e. 
    e+e- -> gamma*/Z0 -> q qbar, with charged multiplicity and
    sphericity analysis. So far no ISR possible.

main10.cc : generation of QCD jet events at the LHC, with jet
    analysis using the CellJet cone jet finder.

---------------------------------------------------------------------- 

   Run parameters
   --------------

Here comes a first batch of parameters that can be set in an input
"cards" file, and thereafter read out an used in the user-written 
main program. Usage is purely optional. 

<mode> Main:numberOfEvents = 1000 min = 0
The number of events to be generated.

<mode> Main:numberToList = 2 min = 0
The number of events to list.

<mode> Main:timesToShow = 50 min = 0
Print the number of events generated so far, this many times, 
i.e. once every numberOfEvents/numberToShow events.

<mode> Main:timesAllowErrors = 10 min = 0
Allow this many times that pythia.next() returns false, i.e.
that an event is flawed, before aborting the run.

<flag> Main:showChangedSettings = true
Print a list of the changed flag/mode/parameter settings.

<flag> Main:showAllSettings = false
Print a list of all flag/mode/parameter settings.

<flag> Main:showParticleData = false
Print a list of all particle and decay data.

---------------------------------------------------------------------- 

   Incoming beams
   --------------

Normally the identities and energies of the two incoming beam particles 
are given by the parameters of the init call. These parameters can be
stored in an input "cards" file, in the following variables, and 
thereafter read out an used in the user-written main program. Usage is 
purely optional. 

<mode> Main:idBeamA = 2212
The PDG id code for the first incoming particle.

<mode> Main:idBeamB = 2212
The PDG id code for the second incoming particle.

<flag> Main:inCMframe = true
Assume collisions occur in the CM frame.

<parameter> Main:eCM = 1960. min = 10.
Collision CM energy, to be given if Main:inCMframe is true. 

<parameter> Main:eBeamA = 7000. min = 0.
The energy of the first incoming particle, moving in the 
+z direction. If the particle energy is smaller than its mass
it is assumed to be at rest. 

<parameter> Main:eBeamB = 7000. min = 0. 
The energy of the second incoming particle, moving in the 
-z direction. If the particle energy is smaller than its mass
it is assumed to be at rest.

---------------------------------------------------------------------- 

Copyright C 2006 Torbjorn Sjostrand
